                                  Select E.CodigoEmpresa,
                                         EM.NomeEmpresa,
           FL.CodigoEstab,
           E.NomeEstab,
                                         FC.CodigoFuncContr,
                                         FP.NomeFunc,
                                         FC.DataAdm,
                                         FC.DataDem,
                                         FL.ClassifOrgan,
                                         O.DescrOrgan,
                                         FSN.CodigoSind,
                                         FS.DataInicial,
                                         FS.TipoSalario,
                                         coalesce(FSA.ValorSal, 0) ValorSalAnterior,
                                         coalesce(FS.ValorSal, 0) ValorSalAtual,
                                         coalesce(FSB.ValorSal, 0) ValorSalComparacao,
                                         FS.PercAumento PerAumento,
                                         FS.ComplSal,
                                         FCG.CodigoCargo,
                                         C.DescrCargo,
                                         FS.CodigoMotivo,
                                         M.DescrMotivo
                                    from FuncPessoa FP
                                    
         join FuncContrato FC 
                                      on FC.CodigoFuncPessoa = FP.CodigoFuncPessoa
         
         join Empresa EM
                                      on EM.CodigoEmpresa = FC.CodigoEmpresa
                                    
         %0:s
         
                                    join FuncSalario FS
                                      on FS.CodigoEmpresa = FC.CodigoEmpresa
                                     and FS.CodigoFuncContr = FC.CodigoFuncContr
                                     and FS.DataInicial >= :pDataInicial
                                     and FS.DataInicial <= :pDataFinal
									 and FS.SEQ = (select max(FuA.SEQ)
                                                    from FuncSalario FuA
                                                    where FuA.DataInicial   = FS.DataInicial
                                                    and FuA.CodigoEmpresa = FS.CodigoEmpresa 
                                    		  		and FuA.CodigoFuncContr = FS.CodigoFuncContr)
          Inner join FuncSalario FSA
                                      on FSA.CodigoEmpresa = FC.CodigoEmpresa
                                     and FSA.CodigoFuncContr = FC.CodigoFuncContr
                                     and FSA.DataInicial = (Select Max(FSB.DataInicial)
                                                              from FuncSalario FSB
                                                             where FSB.CodigoEmpresa = FSA.CodigoEmpresa
                                                               and FSB.CodigoFuncContr = FSA.CodigoFuncContr
                                                               and FSB.DataInicial < FS.DataInicial)
									 and FSA.SEQ = (select max(FuS.SEQ)
                                                    from FuncSalario FuS
                                                    where FuS.DataInicial   = FSA.DataInicial
                                                    and FuS.CodigoEmpresa = FSA.CodigoEmpresa 
                                    		  		and FuS.CodigoFuncContr = FSA.CodigoFuncContr)
                                    join FuncSalario FSB
                                      on FSB.CodigoEmpresa = FC.CodigoEmpresa
                                     and FSB.CodigoFuncContr = FC.CodigoFuncContr
                                     and FSB.DataInicial = (Select Max(FSC.DataInicial)
                                                              from FuncSalario FSC
                                                             where FSC.CodigoEmpresa = FSB.CodigoEmpresa
                                                               and FSC.CodigoFuncContr = FSB.CodigoFuncContr
                                                               and FSC.DataInicial <= (case
                                                                                         when (FC.DataAdm > coalesce(:pDataComparacao, FS.DataInicial)) then
                                                                                           FC.DataAdm + 1
                                                                                         else
                                                                                           coalesce(:pDataComparacao, FS.DataInicial)
                                                                                         end))
									 and FSB.SEQ = (select max(FuS.SEQ)
                                                    from FuncSalario FuS
                                                    where FuS.DataInicial   = FSB.DataInicial
                                                    and FuS.CodigoEmpresa = FSB.CodigoEmpresa 
                                    		  		and FuS.CodigoFuncContr = FSB.CodigoFuncContr)
                                    join FuncLocal FL
                                      on FL.CodigoEmpresa = FS.CodigoEmpresa
                                     and FL.CodigoFuncContr = FS.CodigoFuncContr
                                     and FL.DataTransf = (Select Max(FLa.DataTransf)
                                                            from FUNCLOCAL FLa
                                                            where FLa.CodigoEmpresa = FC.CodigoEmpresa
                                                              and FLa.CodigoFuncContr = FC.CodigoFuncContr
                                                              and FLa.DataTransf <= :pDataEmissao)
                               
                  join Organograma O
                                      on O.CodigoEmpresa = FL.CodigoEmpresa
                                     and O.CodigoEstab = FL.CodigoEstab
                                     and O.ClassifOrgan = FL.ClassifOrgan

                                    join Estab E
                                      on E.CodigoEmpresa = FL.CodigoEmpresa
                                     and E.CodigoEstab = FL.CodigoEstab
                                    
         join FuncCargo FCG
                                      on FCG.CodigoEmpresa = FC.CodigoEmpresa
                                     and FCG.CodigoFuncContr = FC.CodigoFuncContr
                                     and FCG.DataInicial = (Select Max(FCGa.DataInicial)
                                                              from FuncCargo FCGa
                                                             where FCGa.CodigoEmpresa = FCG.CodigoEmpresa
                                                               and FCGa.CodigoFuncContr = FCG.CodigoFuncContr
                                                               and FCGa.DataInicial <= :pDataEmissao)
                                    join Cargo C
                                      on C.CodigoCargo = FCG.CodigoCargo

                          Inner join (Select Max(FSNa.DataInicial) DataInicial,
                                            FSNa.CodigoEmpresa,
                                            FSNa.CodigoFunccontr
                                       from FuncSindicato FSNa
                                      where FSNa.DataInicial <= :pDataEmissao                                   
           group by FSNa.CodigoEmpresa,
                                            FSNa.CodigoFuncContr) FuS
                                         on FuS.CodigoEmpresa = FC.CodigoEmpresa
                                        and FuS.CodigoFuncContr = FC.CodigoFuncContr
                                  Inner join FuncSindicato FSN
                                         on FSN.CodigoEmpresa = FuS.CodigoEmpresa
                                        and FSN.CodigoFuncContr = FuS.CodigoFuncContr
                                        and FSN.DataInicial = FuS.DataInicial
          
                          Inner join (Select Max(FEa.DataInicial) DataInicial,
                                            FEa.CodigoEmpresa,
                                            FEa.CodigoFunccontr
                                       from FuncEscala FEa
                                      where FEa.DataInicial <= :pDataEmissao                                   
           group by FEa.CodigoEmpresa,
                                            FEa.CodigoFuncContr) FES
                                         on FES.CodigoEmpresa = FC.CodigoEmpresa
                                        and FES.CodigoFuncContr = FC.CodigoFuncContr
                                 
         Inner join FuncEscala FE
                                         on FE.CodigoEmpresa = FES.CodigoEmpresa
                                        and FE.CodigoFuncContr = FES.CodigoFuncContr
                                        and FE.DataInicial = FES.DataInicial          
Inner Join Motivo M on M.CodigoMotivo = FS.CodigoMotivo
           where (0 = 0)