                 select FC.CodigoEmpresa,
                        EM.NomeEmpresa,
                        FL.CodigoEstab,
                        E.NomeEstab,
                        FC.CodigoFuncContr,
                        FP.NomeFunc,
                        FC.DataAdm,
                        FC.DataDem,
                        FL.ClassifOrgan,
                        O.DescrOrgan,
                        FSN.CodigoSind,
                        FnC.CodigoCargo,
                        C.DescrCargo,
                        FUS.DataInicial,
                        FUS.TipoSalario,
                        case
                          when FUS.TipoSalario = 1 then
                            'Mensal'
                          when FUS.TipoSalario = 2 then
                            'Comissão'
                          when FUS.TipoSalario = 3 then
                            'Aula'
                          when FUS.TipoSalario = 4 then
                            'Diário'
                          when FUS.TipoSalario = 5 then
                            'Hora'
                          when FUS.TipoSalario = 6 then
                            'Tarefa'
                        end DescrTipoSalario,
                        FUS.ValorSal ValorSalAtual,
                        FUS.ComplSal
                   from FuncPessoa FP

                   join FuncContrato FC
                     on FC.CodigoFuncPessoa = FP.CodigoFuncPessoa

                   join Empresa EM
                     on EM.Codigoempresa = FC.CodigoEmpresa
                     %0:s

              Inner join FuncSalario FS
                     on FS.CodigoEmpresa = FC.CodigoEmpresa
                    and FS.CodigoFuncContr = FC.CodigoFuncContr
                    and (FS.DataInicial between :pDataInicial and :pDataFinal)
    				and FS.SEQ = (select max(FuA.SEQ)
                                  from FuncSalario FuA
                                  where FuA.DataInicial   = FS.DataInicial
                                  and FuA.CodigoEmpresa = FS.CodigoEmpresa 
                     	  		  and FuA.CodigoFuncContr = FS.CodigoFuncContr)

              Inner join FuncSalario FUS
                     on FUS.CodigoEmpresa = FC.CodigoEmpresa
                    and FUS.CodigoFuncContr = FC.CodigoFuncContr
                    and FUS.DataInicial = (select max(FSS.DataInicial)
                                             from FuncSalario FSS
                                            where FSS.CodigoEmpresa = FC.CodigoEmpresa
                                              and FSS.CodigoFuncContr = FC.CodigoFuncContr
                                              and FSS.DataInicial <= :pDataInicial)
                    and FUS.SEQ = (select max(FuB.SEQ)
                                  from FuncSalario FuB
                                  where FuB.DataInicial   = FUS.DataInicial
                                  and FuB.CodigoEmpresa = FUS.CodigoEmpresa 
                     		  	  and FuB.CodigoFuncContr = FUS.CodigoFuncContr)
				   join FuncCargo FnC
                     on FnC.CodigoEmpresa = FC.CodigoEmpresa
                    and FnC.CodigoFuncContr = FC.CodigoFuncContr

                   join Cargo C
                     on C.CodigoCargo = FnC.CodigoCargo

                   join FuncLocal FL
                     on FL.CodigoEmpresa = FC.CodigoEmpresa
                    and FL.CodigoFuncContr = FC.CodigoFuncContr
                    and FL.DataTransf = (Select Max(FLS.DataTransf)
                                           from FuncLocal FLS
                                          where FLS.CodigoEmpresa = FC.CodigoEmpresa
                                            and FLS.CodigoFuncContr = FC.CodigoFuncContr
                                            and FLS.DataTransf <= :pDataFinal)
                   join Organograma O
                     on O.CodigoEmpresa = FL.CodigoEmpresa
                    and O.CodigoEstab = FL.CodigoEstab
                    and O.ClassifOrgan = FL.ClassifOrgan

                   join Estab E
                     on E.CodigoEmpresa = FL.CodigoEmpresa
                    and E.CodigoEstab = FL.CodigoEstab

                Inner join (Select Max(FSNa.DataInicial) DataInicial,
                                FSNa.CodigoEmpresa,
                                FSNa.CodigoFunccontr
                           from FuncSindicato FSNa
                          where FSNa.DataInicial <= :pDataFinal
                       group by FSNa.CodigoEmpresa,
                                FSNa.CodigoFuncContr) FSI
                             on FSI.CodigoEmpresa = FC.CodigoEmpresa
                            and FSI.CodigoFuncContr = FC.CodigoFuncContr
                      Inner join FuncSindicato FSN
                             on FSN.CodigoEmpresa = FSI.CodigoEmpresa
                            and FSN.CodigoFuncContr = FSI.CodigoFuncContr
                            and FSN.DataInicial = FSI.DataInicial

                Inner join (Select Max(FEa.DataInicial) DataInicial,
                                            FEa.CodigoEmpresa,
                                            FEa.CodigoFunccontr
                                       from FuncEscala FEa
                                      where FEa.DataInicial <= :pDataFinal
                                      group by FEa.CodigoEmpresa,
                                            FEa.CodigoFuncContr) FES
                                         on FES.CodigoEmpresa = FC.CodigoEmpresa
                                        and FES.CodigoFuncContr = FC.CodigoFuncContr
                                 Inner join FuncEscala FE
                                         on FE.CodigoEmpresa = FES.CodigoEmpresa
                                        and FE.CodigoFuncContr = FES.CodigoFuncContr
                                        and FE.DataInicial = FES.DataInicial
          where FS.DataInicial is null