select Fp.NomeFunc,
       F.DataAdm,
       F.DataDem,
       FC.CodigoCargo,
       C.DescrCargo,
       C.CBO,
       FS.ValorSal,
       TC.DescrTipoContr,
       FS.SEQ
  from FuncContrato F,
       FuncCargo FC,
       Cargo C,
       FuncSalario FS,
       TipoContrato TC,
       FuncPerCalculo FPC,
       funcPessoa fp
 where FPC.CodigoEmpresa = :pCodigoEmpresa
   and FPC.CodigoPerCalculo = :pCodigoPerCalculo
   and FPC.CodigoFuncContr = :pCodigoFuncContr
   and FPC.CodigoEmpresa = F.CodigoEmpresa
   and FPC.CodigoFuncContr = F.CodigoFuncContr
   and F.CodigoTipoContr = TC.CodigoTipoContr
   and FPC.CodigoEmpresa = FC.CodigoEmpresa
   and FPC.CodigoFuncContr = FC.CodigoFuncContr
   and FPC.DataCargo = FC.DataInicial
   and FC.CodigoCargo = C.CodigoCargo
   and FPC.CodigoEmpresa = FS.CodigoEmpresa
   and FPC.CodigoFuncContr = FS.CodigoFuncContr
   and FPC.DataSalario = FS.DataInicial
   and FP.CodigoFuncPessoa = F.CodigoFuncPessoa
   and FS.DataInicial = (select max(FuS.DataInicial)
                          from FuncSalario FuS
                         where FuS.CodigoEmpresa = FS.CodigoEmpresa
                          and FuS.CodigoFuncContr = FS.CodigoFuncContr
                          and fus.DATAINICIAL = FPC.DataSalario)
   and FS.SEQ = (select max(FuS.SEQ)
                  from FuncSalario FuS
                 where FuS.DataInicial   = FS.DataInicial
                  and FuS.CodigoEmpresa = FS.CodigoEmpresa 
		  		  and FuS.CodigoFuncContr = FS.CodigoFuncContr)	
order by 1
