    Select FC.CodigoEmpresa,
           FL.CodigoEstab,
           FC.CodigoFuncContr,
           FC.CodigoTipoContr,
           TC.TipoContr,   
           FL.DataTransf,
           FC.CodigoFuncPessoa,
           FP.FotoFunc,
           E.NomeEmpresa,
           ES.NomeEstab,
           ES.InscrFederal,
           ES.CodigoAtivFederal,
           ES.EnderecoEstab || ', ' || ES.NumEnderEstab EnderecoEstab,
           ES.BairroEnderEstab,
           ES.CepEnderEstab,
           M.NomeMunic || ' - ' || ES.SiglaEstado NomeMunicEstab,
           FL.FichaReg,
           FP.NomeFunc,
           FC.NumeroInscrINSS,
           FC.DataAdm,
           FC.OptanteFGTS,
           FC.DataOpcaoFGTS,
           FC.ContaFGTS,
           BBB.NomeBanco NomeBancoFGTS,
           C.DescrCargo,
           C.CBO,
           FR.ValorSal,
           FC.PerPgto,
           FC.ModoPgto,
           FL.Classiforgan,
           O.DescrOrgan,
           EL.CodigoEscala,
           EL.DescrEscala,
           DA.NomeDepend NomePai,
           DB.NomeDepend NomeMae,
           DC.NomeDepend NomeConjuge,
           case
             when FP.Nacionalidade <> '10' then
               DepBR.QtdFilhosBR
             else
               Null
           end QtdFilhosBR,
           FP.DataNasc,
           FP.Sexo,
           FP.EstadoCivil,
           FP.RacaCor,
           MN.NomeMunic || ' - ' || MN.SiglaEstado Naturalidade,
           MN.SiglaEstado SiglaEstadoNaturalidade,
           FP.Nacionalidade,
           TL.DescrTipoLograd,
           FP.EnderFunc || ', ' || FP.NumeroEnder EnderFunc,
           FP.ComplEnder,
           FP.BairroFunc,
           FP.CepFunc,
           ME.NomeMunic || ' - ' || FP.SiglaEstado NomeMunicFunc,
           FP.CpfFunc,
           FP.NumeroRG,
           OM.SiglaOrgaoEmissor,
           FP.SiglaEstadoRG,
           FP.EmissRG,
           FTD.NumeroCTPS,
           FTD.SerieCTPS,
           FTD.ExpedCTPS,
           FTD.SiglaEstadoCTPS,
           FP.ExpedicaoCNH,
           FP.PISFunc,
           FP.DataCadPIS,
           FP.GrauInstr,
           FP.CNHFunc,
           FP.CategCNH,
           FP.ValidCNH,
           FP.CartReserv,
           FP.CategCartReserv,
           FP.TitEleit,
           FP.ZonaTitEleit,
           FP.SecaoTitEleit,
           B.NomeBanco,   
           FC.NumeroConta,
           FC.DigitoConta,
           FC.NumeroAgencia,
           S.NomeSind,
           CP.NomeConselho,
           FP.NumeroRegist,
           FP.DataRegist,
           FP.DataChegada,
           FP.TipoVisto,
           FP.CartRNE,
           FP.ValidRNE,
           FP.PortNatNumero,
           FP.PortNatData,
           FA.PercInsalub,
           FA.PercPericul,
           FA.PercInNatura   
      from FuncPessoa FP
      join FuncContrato FC
        on FC.CodigoFuncPessoa = FP.CodigoFuncPessoa
      join TipoContrato TC
        on TC.CodigoTipoContr = FC.CodigoTipoContr 
           %0:s
      join Empresa E
        on E.CodigoEmpresa = FC.CodigoEmpresa
      join FuncLocal FL
        on FL.CodigoEmpresa = FC.CodigoEmpresa
       and FL.CodigoFuncContr = FC.CodigoFuncContr
           %1:s
      join Organograma O
        on O.CodigoEmpresa = FC.CodigoEmpresa
       and O.CodigoEstab = FL.CodigoEstab
       and O.ClassifOrgan = FL.ClassifOrgan
      join Estab ES
        on ES.CodigoEstab = FL.CodigoEstab
       and ES.CodigoEmpresa = FL.CodigoEmpresa
      join FuncCargo FG
        on FG.CodigoEmpresa = FC.CodigoEmpresa
       and FG.CodigoFuncContr = FC.CodigoFuncContr
       and FG.DataInicial = (Select Max(FGa.DataInicial)
                               from FuncCargo FGa
                              where FGa.CodigoEmpresa = FG.CodigoEmpresa
                                and FGa.CodigoFuncContr = FG.CodigoFuncContr
                                and FGa.DataInicial <= FL.DataTransf)
      join Cargo C
        on C.CodigoCargo = FG.CodigoCargo
      join FuncSalario FR
        on FR.CodigoEmpresa = FC.CodigoEmpresa
       and FR.CodigoFuncContr = FC.CodigoFuncContr
       and FR.DataInicial = (Select Max(FRa.DataInicial)
                               from FuncSalario FRa
                              where FRa.CodigoEmpresa = FR.CodigoEmpresa
                                and FRa.CodigoFuncContr = FR.CodigoFuncContr
                                and FRa.DataInicial <= FL.DataTransf)
      join Municipio M
        on M.CodigoMunic = ES.CodigoMunic
       and M.SiglaEstado = ES.SiglaEstado
      join FuncEscala FE
        on FE.CodigoEmpresa = FC.CodigoEmpresa
       and FE.CodigoFuncContr = FC.CodigoFuncContr
       and FE.DataInicial = (Select Max(FEa.DataInicial)
                               from FuncEscala FEa
                              where FEa.CodigoEmpresa = FE.CodigoEmpresa
                                and FEa.CodigoFuncContr = FE.CodigoFuncContr
                                and FEa.DataInicial <= FL.DataTransf)
      join Escala EL
        on EL.CodigoEscala = FE.CodigoEscala
 left join Municipio MN
        on MN.SiglaEstado = FP.SiglaEstadoNasc
       and MN.CodigoMunic = FP.CodigoMunicNasc
LEFT JOIN (SELECT FTD.CODIGOEMPRESA,
                  FTD.CODIGOFUNCCONTR, 
              MAX(FTD.DATAINICIAL) DATAINICIAL 
            FROM FUNCCTPS FTD 
          GROUP BY FTD.CODIGOEMPRESA, FTD.CODIGOFUNCCONTR) FCTD 
              ON FCTD.CODIGOEMPRESA = FC.CODIGOEMPRESA 
             AND FCTD.CODIGOFUNCCONTR = FC.CODIGOFUNCCONTR 
LEFT JOIN FUNCCTPS FTD 
              ON FTD.CODIGOEMPRESA = FC.CODIGOEMPRESA 
             AND FTD.CODIGOFUNCCONTR = FC.CODIGOFUNCCONTR 
             AND FTD.DATAINICIAL = FCTD.DATAINICIAL
 left join Municipio ME
        on ME.SiglaEstado = FP.SiglaEstado
       and ME.CodigoMunic = FP.CodigoMunic
 left join Dependente DA
        on DA.CodigoEmpresa = FC.CodigoEmpresa
       and DA.CodigoFuncContr = FC.CodigoFuncContr
       and DA.Parentesco = '03'
       and DA.Sexo = 1
 left join Dependente DB
        on DB.CodigoEmpresa = FC.CodigoEmpresa
       and DB.CodigoFuncContr = FC.CodigoFuncContr
       and DB.Parentesco = '03'
       and DB.Sexo = 2
 left join Dependente DC
        on DC.CodigoEmpresa = FC.CodigoEmpresa
       and DC.CodigoFuncContr = FC.CodigoFuncContr
       and DC.Parentesco = '02'         
 left join TipoLogradouro TL
        on TL.CodigoTipoLograd = FP.CodigoTipoLograd   
 left join CFGEstabFpa CFGEstab
        on CFGEstab.CodigoEmpresa = FC.CodigoEmpresa
       and CFGEstab.CodigoEstab = FL.codigoestab
 left join Banco BBB
        on BBB.CodigoBanco = CFGEstab.CodigoBancoFGTS
 left join FuncAdicional FA
        on FA.CodigoEmpresa = FC.CodigoEmpresa
       and FA.CodigoFuncContr = FC.CodigoFuncContr
       and FA.DataInicial = (Select Max(FAA.DataInicial)
                               from FuncAdicional FAA
                              where FAA.CodigoEmpresa = FA.CodigoEmpresa
                                and FAA.CodigoFuncContr = FA.CodigoFuncContr
                                and FAA.DataInicial <= FL.DataTransf) 
 left join (Select Count(D.CodigoDepend) QtdFilhosBR,
                 D.CodigoEmpresa,
                 D.CodigoFuncContr
            from Dependente D
           where D.Nacionalidade = '10'
        group by D.CodigoEmpresa,
                 D.CodigoFuncContr) DepBR
        on DepBR.CodigoEmpresa = FC.CodigoEmpresa
       and DepBR.CodigoFuncContr = FC.CodigoFuncContr  
 left join OrgaoEmissor OM
        on OM.CodigoOrgaoEmissor = FP.CodigoOrgaoEmissorRG
 left join Banco B
        on B.CodigoBanco = FC.CodigoBanco
 left join CFGEstabFpa CFG
        ON CFG.CodigoEmpresa = FL.CodigoEmpresa
       and CFG.CodigoEstab = FL.CodigoEstab
 left join BANCO BB
        ON BB.CODIGOBANCO = CFG.CodigoBancoFGTS 
 Inner join FuncSindicato FS
        on FS.CodigoEmpresa = FC.CodigoEmpresa
       and FS.CodigoFuncContr = FC.CodigoFuncContr
       and FS.DataInicial = (Select Max(FSa.DataInicial)
                               from FuncSindicato FSa
                              where FSa.CodigoEmpresa = FS.CodigoEmpresa
                                and FSa.CodigoFuncContr = FS.CodigoFuncContr
                                and FSa.DataInicial <= FL.DataTransf)
 Inner join Sindicato S
        on S.CodigoSind = FS.CodigoSind
 left join ConselhoProfis CP
                on CP.CodigoConselho = FP.CodigoConselho