Select ic.CodigoEmpresa,
       ic.CodigoPerCalculo,
       ic.CodigoFuncContr,
       ic.Seq,
       tc.TipoContr
  from ImpostoCalculo ic,
       PeriodoCalculo pc,
       FuncContrato func,
       TipoContrato tc
 where ic.CodigoEmpresa = :CodigoEmpresa
   and ic.ComProcesso = '1'
   and pc.Compet = :Compet
   and pc.CodigoEmpresa = ic.CodigoEmpresa
   and pc.CodigoPerCalculo = ic.CodigoPerCalculo

   and func.CodigoEmpresa = ic.CodigoEmpresa
   and func.CodigoFuncContr = ic.CodigoFuncContr
   and tc.CodigoTipoContr = func.CodigoTipoContr

   and ((pc.CodigoTipoCalc >= :CodigoTipoCalc) and (pc.CodigoTipoCalc <= :CodigoTipoCalc1))
   and ic.CodigoFuncContr = ( select max(ic1.CodigoFuncContr)
                           from ImpostoCalculo ic1,
                                PeriodoCalculo pc1,
                                FuncContrato func1,
                                TipoContrato tc1
                          where ic1.CodigoEmpresa = ic.CodigoEmpresa
                            and ic1.ComProcesso = ic.ComProcesso
                            and pc1.Compet = pc.Compet
                            and pc1.CodigoEmpresa = ic1.CodigoEmpresa
                            and pc1.CodigoPerCalculo = ic1.CodigoPerCalculo
                            and pc1.CodigoTipoCalc = pc.CodigoTipoCalc
                            and func1.CodigoEmpresa = ic1.CodigoEmpresa
                            and func1.CodigoFuncContr = ic1.CodigoFuncContr
                            and tc1.CodigoTipoContr = func1.CodigoTipoContr
                            and (ic1.INSSParteSat > 0)
                            and ((ic1.INSSParteSat + (:Valor)) >= 0)
                            and tc1.TipoContr = :TipoContr
                       )
order by 1
