select FP.CODIGOEMPRESA
  , FPD.CodigoFuncContr
  , P.CODIGOPLANO as PLANO
  , CASE E.CODIGOESTRUT
       WHEN '97.10.01' THEN P.CodigoContrRegDif
       WHEN '97.10.02' THEN P.CodigoContrReg
       WHEN '97.10.03' THEN P.CodigoContrReg13
       WHEN '97.10.04' THEN P.CodigoContrReg13Dif
       WHEN '97.10.05' THEN P.CodigoContrRegDif
       WHEN '97.10.06' THEN P.CodigoContrFacDif
       WHEN '97.10.07' THEN P.CodigoContrFac
       WHEN '97.10.08' THEN P.CodigoContrFac13
       WHEN '97.10.09' THEN P.CodigoContrFac13Dif
       WHEN '97.10.10' THEN P.CodigoContrFacDif
       WHEN '97.10.11' THEN P.CodigoContrEsp
       WHEN '97.10.12' THEN P.CodigoContrEspDif
       WHEN '97.10.13' THEN P.CodigoContrEsp13
       WHEN '97.10.14' THEN P.CodigoContrEspDif
       WHEN '97.10.15' THEN P.CodigoContrEsp
       WHEN '97.10.16' THEN P.CodigoContrExt
       WHEN '97.10.17' THEN P.CodigoContrExtDif
       WHEN '97.10.18' THEN P.CodigoContrExt13
       WHEN '97.10.19' THEN P.CodigoContrExt13Dif
       WHEN '97.10.20' THEN P.CodigoContrExt end TipoContribuicao
     , SUM(CE.BaseEvento) BaseEvento
 FROM FUNCPREVPRIVADA FP
 JOIN FUNCPREVPRIVADADET FPD
   ON FPD.CODIGOEMPRESA = FP.CODIGOEMPRESA
  AND FPD.CodigoFuncContr = FP.CodigoFuncContr
 JOIN CFGPREVPRIVADA P
   ON FP.CODIGOEMPRESA = P.CODIGOEMPRESA
  AND FP.CODIGOPREVPRIVADA = P.CODIGOPREVPRIVADA
 JOIN PERIODOCALCULO PC
   ON PC.CODIGOEMPRESA = P.CODIGOEMPRESA
 JOIN CALCULOEVENTO CE
   ON CE.CODIGOEMPRESA = PC.CODIGOEMPRESA
  AND CE.CODIGOPERCALCULO = PC.CODIGOPERCALCCompl
  AND CE.CodigoFuncContr = FP.CodigoFuncContr
 JOIN CALCULOEVENTO CEC
   ON CEC.CODIGOEMPRESA = CE.CODIGOEMPRESA
  AND CEC.CODIGOPERCALCULO = PC.CODIGOPERCALCULO
  AND CEC.CodigoFuncContr = CE.CodigoFuncContr
  AND CEC.CodigoEvento = CE.CodigoEvento
 JOIN EVENTO E
   ON E.CODIGOEVENTO = CE.CODIGOEVENTO
 left JOIN FUNCPREVPRIVADAVAR FPV
   ON CE.CODIGOEMPRESA = FPV.CODIGOEMPRESA
  AND CE.CodigoFuncContr = FPV.CodigoFuncContr
  AND CE.CODIGOPERCALCULO = FPV.CODIGOPERCALCULO
  AND CE.CODIGOEVENTO = FPV.CODIGOEVENTO
WHERE FP.COdigoEmpresa = :pCodigoEmpresa
  and PC.CODIGOPERCALCULO = :pCodigoPerCalculo
  and FPD.DATA = (SELECT MAX(D.DATA)
                    FROM FUNCPREVPRIVADADET D
                   WHERE D.CODIGOEMPRESA = FPD.CODIGOEMPRESA
         AND D.CodigoFuncContr = FPD.CodigoFuncContr
      AND D.DATA <= PC.DATAFINALFOLHA)
  AND E.CodigoProced = 69
  and CE.VALOREVENTO > 0
  AND E.CODIGOESTRUT <> '97.10.21'
  AND E.CODIGOESTRUT <> '97.10.22'
group by CODIGOEMPRESA
 , FPD.CodigoFuncContr
 , P.CODIGOPLANO
 , case E.CODIGOESTRUT
       WHEN '97.10.01' THEN P.CodigoContrRegDif
       WHEN '97.10.02' THEN P.CodigoContrReg
       WHEN '97.10.03' THEN P.CodigoContrReg13
       WHEN '97.10.04' THEN P.CodigoContrReg13Dif
       WHEN '97.10.05' THEN P.CodigoContrRegDif
       WHEN '97.10.06' THEN P.CodigoContrFacDif
       WHEN '97.10.07' THEN P.CodigoContrFac
       WHEN '97.10.08' THEN P.CodigoContrFac13
       WHEN '97.10.09' THEN P.CodigoContrFac13Dif
       WHEN '97.10.10' THEN P.CodigoContrFacDif
       WHEN '97.10.11' THEN P.CodigoContrEsp
       WHEN '97.10.12' THEN P.CodigoContrEspDif
       WHEN '97.10.13' THEN P.CodigoContrEsp13
       WHEN '97.10.14' THEN P.CodigoContrEspDif
       WHEN '97.10.15' THEN P.CodigoContrEsp
       WHEN '97.10.16' THEN P.CodigoContrExt
       WHEN '97.10.17' THEN P.CodigoContrExtDif
       WHEN '97.10.18' THEN P.CodigoContrExt13
       WHEN '97.10.19' THEN P.CodigoContrExt13Dif
       WHEN '97.10.20' THEN P.CodigoContrExt 
   end
order by 1, 2, 3, 4
