select RE.CodigoFuncContr 
, R.TipoRescisao 
,E.CODIGOESTRUT
,RE.BASEEVENTO
,RE.VALOREVENTO
,E.FGTSMENSAL
,E.FGTS13
,E.FGTSFERIAS
,RE.CODIGOEVENTO 
from Rescisao R
join RESCISAOEVENTO RE
 on RE.CodigoEmpresa = R.CodigoEmpresa
and RE.CodigoFuncContr = R.CodigoFuncContr 
and RE.complementar = R.complementar 
join EVENTO E
  on E.CODIGOEVENTO = RE.CODIGOEVENTO
where RE.CodigoEmpresa = :pCodigoEmpresa 
and (((R.Tiporescisao = 1) and (R.DataResc Between :pDataInicial and :pDataFinal)) or
     ((R.tiporescisao = 2) and (R.datapgtoresc Between  :pDataInicial and :pDataFinal)) or
     (((R.Tiporescisao = 3) or ((R.Tiporescisao = 5) and (coalesce(R.DiasAvInden,0) = 0) )) 
      and (exists (select 1 
	                from PeriodoCalculo p 
                   where p.codigoempresa = R.CodigoEmpresa 
                     and p.CodigoTipocalc = 7 
                     and P.CodigoPerCalculo = R.CodigoPerCalculo 
					 and p.DataPgto between :pDataInicial and :pDataFinal))) or
   (((R.Tiporescisao = 5) and (coalesce(R.DiasAvInden, 0) > 0) ) and {TIMESTAMPADD(DAY, coalesce(R.DiasAvInden, 0), R.DataResc)} Between :pDataInicial and :pDataFinal))

and (not(E.CODIGOESTRUT like '05.08%'))
and (not(E.CODIGOESTRUT like '05.10%'))
and (not(E.CODIGOESTRUT like '05.11%'))
and (not(E.CODIGOESTRUT like '05.19%'))
and (not(E.CODIGOESTRUT like '05.20%'))
union 
select RE.CodigoFuncContr 
,cast(1 as integer) TipoRescisao 
,E.CODIGOESTRUT 
,RE.BASEEVENTO 
,RE.VALOREVENTO 
,E.FGTSMENSAL 
,E.FGTS13 
,E.FGTSFERIAS 
,RE.CODIGOEVENTO 
from PeriodoCalculo P
join CALCULOEVENTO RE 
on RE.CodigoEmpresa = P.CodigoEmpresa 
and RE.CodigoPerCalculo = P.CodigoPerCalculo 
join EVENTO E 
on  E.CODIGOEVENTO = RE.CODIGOEVENTO 
where P.CODIGOEMPRESA = :pCodigoEmpresa 
and P.Compet between :pDataInicial and :pDataFinal 
and exists(select 1 from rescisao resc
        where resc.CodigoEmpresa = RE.CodigoEmpresa 
          and resc.CodigoFuncContr = RE.CodigoFuncContr 
          and (((resc.tiporescisao in (1, 2)) and (resc.DataResc Between P.Datainicialfolha and P.Datafinalfolha)) or  
             ((resc.tiporescisao in (3, 5)) and (p.CodigoPerCalculo = resc.CodigoPerCalculo)))) 
and not exists (select 1 
         from RESCISAOEVENTO RES 
         join Rescisao R 
           on R.CodigoEmpresa = RES.CodigoEmpresa 
          and R.CodigoFuncContr = RES.CodigoFuncContr 
          and R.complementar = RES.complementar 
        where RES.CodigoEmpresa = RE.CodigoEmpresa 
          and RES.CodigoFuncContr = RE.CodigoFuncContr 
          and RES.CodigoEvento = RE.CodigoEvento 
         and (((R.tiporescisao in (1,2)) and (R.DataResc Between P.Datainicialfolha and P.Datafinalfolha)) or 
             ((R.tiporescisao in (3, 5)) and (P.codigoPerCalculo = R.CodigoPerCalculo)))) 
and (not(E.CODIGOESTRUT like '05.08%'))
and (not(E.CODIGOESTRUT like '05.10%')) 
and (not(E.CODIGOESTRUT like '05.11%')) 
and (not(E.CODIGOESTRUT like '05.19%')) 
and (not(E.CODIGOESTRUT like '05.20%')) 
union 
select RE.CodigoFuncContr 
,cast(5 as integer) TipoRescisao 
,E.CODIGOESTRUT
,RE.BASEEVENTO
,RE.VALOREVENTO
,E.FGTSMENSAL
,E.FGTS13
,E.FGTSFERIAS
,RE.CODIGOEVENTO 
 from CALCULOEVENTO RE
join EVENTO E
on  RE.CODIGOEVENTO = E.CODIGOEVENTO
join PeriodoCalculo P
on P.CodigoEmpresa = RE.CodigoEmpresa
and P.CodigoPerCalculo = RE.CodigoPerCalculo
where RE.CODIGOEMPRESA = :pCodigoEmpresa
and P.Compet between :pDataInicial and :pDataFinal 
and exists (select 1 
         from RESCISAOEVENTO RES 
         join Rescisao R 
           on R.CodigoEmpresa = RES.CodigoEmpresa 
          and R.CodigoFuncContr = RES.CodigoFuncContr 
          and R.complementar = RES.complementar 
        where RES.CodigoEmpresa = RE.CodigoEmpresa 
          and RES.CodigoFuncContr = RE.CodigoFuncContr 
		  and R.CodigoPerCalculo = RE.CodigoPerCalculo
          and RES.CodigoEvento = RE.CodigoEvento 
          and R.TipoRescisao = 5 
          and {TIMESTAMPADD(DAY, coalesce(R.DiasAvInden, 0), R.DataResc)} between P.DataInicialFolha and P.DataFinalFolha)
and (not(E.CODIGOESTRUT like '05.08%'))
and (not(E.CODIGOESTRUT like '05.10%'))
and (not(E.CODIGOESTRUT like '05.11%'))
and (not(E.CODIGOESTRUT like '05.19%'))
and (not(E.CODIGOESTRUT like '05.20%'))
order by 1, 2, 3