         select cast(0 as SmallInt) CodigoOutEmp,
                cast('0' as VarChar(18)) InscrFedOutEmp,
                cast(0 as SmallInt) TipoInscrOutEmp,
                ic.CodigoFuncContr,
                fp.NomeFunc,
                fp.PISFunc,
                pc.Compet,
                pc.DataInicialFolha,
                pc.DataFinalFolha,
                sum(ic.BaseFGTSNorm) BaseFGTS,
                sum(ic.BaseFGTS13) BaseFGTS13
           from PeriodoCalculo pc,
                 ImpostoCalculo ic
left outer join OutraEmpEmp oee
             on ic.CodigoEmpresa = oee.CodigoEmpresa
            and ic.CodigoOutEmp = oee.CodigoOutEmp
left outer join OutraEmpresa oe
             on oee.CodigoOutEmp = oe.CodigoOutEmp,
                Estab e,
                FuncContrato f,
                TipoContrato tc
           join FuncPessoa FP
             on FP.CodigoFuncPessoa = F.CodigoFuncPessoa     
          where pc.CodigoEmpresa = :pCodigoEmpresa
            and pc.Compet between :pDataInicial and :pDataFinal
            and ic.CodigoEstab = :pCodigoEstab
            and pc.CodigoEmpresa = ic.CodigoEmpresa
            and pc.CodigoPerCalculo = ic.CodigoPerCalculo
            and ic.CodigoEmpresa = e.CodigoEmpresa
            and ic.CodigoEstab = e.CodigoEstab
            and ic.CodigoEmpresa = f.CodigoEmpresa
            and ic.CodigoFuncContr = f.CodigoFuncContr
            and f.CodigoTipoContr = tc.CodigoTipoContr
            and tc.ConstaRais = 1
            and (ic.CodigoOutEmp is null
             or oee.TipoOutEmp <> 1)
       group by ic.CodigoFuncContr,
                fp.NomeFunc,
                fp.PISFunc,
                pc.Compet,
                pc.DataInicialFolha,
                pc.DataFinalFolha
      union all
         select (oee.CodigoOutEmp) CodigoOutEmp,
                (oe.InscrFederal) InscrFedOutEmp,
                (oe.TipoInscr) TipoInscrOutEmp,
                ic.CodigoFuncContr,
                fp.NomeFunc,
                fp.PISFunc,
                pc.Compet,
                pc.DataInicialFolha,
                pc.DataFinalFolha,
                sum(ic.BaseFGTSNorm) BaseFGTS,
                sum(ic.BaseFGTS13) BaseFGTS13
           from PeriodoCalculo pc,
                ImpostoCalculo ic,
                OutraEmpEmp oee,
                OutraEmpresa oe,
                Estab e,
                FuncContrato f,
                TipoContrato tc
           join FuncPessoa FP
             on FP.CodigoFuncPessoa = F.CodigoFuncPessoa     
          where pc.CodigoEmpresa = :pCodigoEmpresa
            and pc.Compet between :pDataInicial and :pDataFinal
            and ic.CodigoEstab = :pCodigoEstab
            and pc.CodigoEmpresa = ic.CodigoEmpresa
            and pc.CodigoPerCalculo = ic.CodigoPerCalculo
            and ic.CodigoEmpresa = oee.CodigoEmpresa
            and ic.CodigoOutEmp = oee.CodigoOutEmp
            and oee.TipoOutEmp = 1
            and oee.CodigoOutEmp = oe.CodigoOutEmp
            and ic.CodigoEmpresa = e.CodigoEmpresa
            and ic.CodigoEstab = e.CodigoEstab
            and ic.CodigoEmpresa = f.CodigoEmpresa
            and ic.CodigoFuncContr = f.CodigoFuncContr
            and f.CodigoTipoContr = tc.CodigoTipoContr
            and tc.ConstaRais = 1
       group by oee.CodigoOutEmp,
                oe.InscrFederal,
                oe.TipoInscr,
                ic.CodigoFuncContr,
                fp.NomeFunc,
                fp.PISFunc,
                pc.Compet,
                pc.DataInicialFolha,
                pc.DataFinalFolha
       order by 1, 4, 7
