Select P.CodigoEmpresa,
      (select Count(1) from FuncPercalculo F 
                       join FuncContrato FC 
                         on FC.CodigoEmpresa = F.CodigoEmpresa
                        and FC.CodigoFuncContr = F.CodigoFuncContr
                      where F.CodigoEmpresa = P.CodigoEmpresa
                        and F.CodigoPercalculo = P.CodigoPercalculo 
                        and FC.DataDem is Null) as Ativos, 
      (select Count(1) from FuncContrato F 
        where F.CodigoEmpresa = P.CodigoEmpresa 
          and F.dataAdm between P.DATAINICIALFOLHA and P.DATAFINALFOLHA) as Admitidos, 
      (select Count(1) from FuncContrato F 
        where F.CodigoEmpresa = P.CodigoEmpresa 
          and F.datadem between P.DATAINICIALFOLHA and P.DATAFINALFOLHA) as Demitidos, 
      (select Count(1) from ReciboFerias F 
        where F.CodigoEmpresa = P.CodigoEmpresa 
          and ((F.DataInicialFerias between P.DATAINICIALFOLHA and P.DATAFINALFOLHA) 
           or (F.DataFinalFerias between P.DATAINICIALFOLHA and P.DATAFINALFOLHA)
           or (P.DATAINICIALFOLHA between F.DATAINICIALFerias and F.DATAFINALFERIAS))) as Ferias 
from PeriodoCalculo P
where %0:s
      %1:s
order by P.CodigoEmpresa
